- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Static Public Member Functions | Friends

# QLocale Class Reference

Search for all occurrences

## Detailed Description

Definition at line 109 of file qlocale.h.

`#include <qlocale.h>`

List of all members.

## Classes
struct | Data
## Public Types
enum | Language { C = 1, Abkhazian = 2, Afan = 3, Afar = 4, Afrikaans = 5, Albanian = 6, Amharic = 7, Arabic = 8, Armenian = 9, Assamese = 10, Aymara = 11, Azerbaijani = 12, Bashkir = 13, Basque = 14, Bengali = 15, Bhutani = 16, Bihari = 17, Bislama = 18, Breton = 19, Bulgarian = 20, Burmese = 21, Byelorussian = 22, Cambodian = 23, Catalan = 24, Chinese = 25, Corsican = 26, Croatian = 27, Czech = 28, Danish = 29, Dutch = 30, English = 31, Esperanto = 32, Estonian = 33, Faroese = 34, FijiLanguage = 35, Finnish = 36, French = 37, Frisian = 38, Gaelic = 39, Galician = 40, Georgian = 41, German = 42, Greek = 43, Greenlandic = 44, Guarani = 45, Gujarati = 46, Hausa = 47, Hebrew = 48, Hindi = 49, Hungarian = 50, Icelandic = 51, Indonesian = 52, Interlingua = 53, Interlingue = 54, Inuktitut = 55, Inupiak = 56, Irish = 57, Italian = 58, Japanese = 59, Javanese = 60, Kannada = 61, Kashmiri = 62, Kazakh = 63, Kinyarwanda = 64, Kirghiz = 65, Korean = 66, Kurdish = 67, Kurundi = 68, Laothian = 69, Latin = 70, Latvian = 71, Lingala = 72, Lithuanian = 73, Macedonian = 74, Malagasy = 75, Malay = 76, Malayalam = 77, Maltese = 78, Maori = 79, Marathi = 80, Moldavian = 81, Mongolian = 82, NauruLanguage = 83, Nepali = 84, Norwegian = 85, NorwegianBokmal = Norwegian, Occitan = 86, Oriya = 87, Pashto = 88, Persian = 89, Polish = 90, Portuguese = 91, Punjabi = 92, Quechua = 93, RhaetoRomance = 94, Romanian = 95, Russian = 96, Samoan = 97, Sangho = 98, Sanskrit = 99, Serbian = 100, SerboCroatian = 101, Sesotho = 102, Setswana = 103, Shona = 104, Sindhi = 105, Singhalese = 106, Siswati = 107, Slovak = 108, Slovenian = 109, Somali = 110, Spanish = 111, Sundanese = 112, Swahili = 113, Swedish = 114, Tagalog = 115, Tajik = 116, Tamil = 117, Tatar = 118, Telugu = 119, Thai = 120, Tibetan = 121, Tigrinya = 122, TongaLanguage = 123, Tsonga = 124, Turkish = 125, Turkmen = 126, Twi = 127, Uigur = 128, Ukrainian = 129, Urdu = 130, Uzbek = 131, Vietnamese = 132, Volapuk = 133, Welsh = 134, Wolof = 135, Xhosa = 136, Yiddish = 137, Yoruba = 138, Zhuang = 139, Zulu = 140, NorwegianNynorsk = 141, Nynorsk = NorwegianNynorsk, Bosnian = 142, Divehi = 143, Manx = 144, Cornish = 145, Akan = 146, Konkani = 147, Ga = 148, Igbo = 149, Kamba = 150, Syriac = 151, Blin = 152, Geez = 153, Koro = 154, Sidamo = 155, Atsam = 156, Tigre = 157, Jju = 158, Friulian = 159, Venda = 160, Ewe = 161, Walamo = 162, Hawaiian = 163, Tyap = 164, Chewa = 165, Filipino = 166, SwissGerman = 167, SichuanYi = 168, Kpelle = 169, LowGerman = 170, SouthNdebele = 171, NorthernSotho = 172, NorthernSami = 173, Taroko = 174, Gusii = 175, Taita = 176, Fulah = 177, Kikuyu = 178, Samburu = 179, Sena = 180, NorthNdebele = 181, Rombo = 182, Tachelhit = 183, Kabyle = 184, Nyankole = 185, Bena = 186, Vunjo = 187, Bambara = 188, Embu = 189, Cherokee = 190, Morisyen = 191, Makonde = 192, Langi = 193, Ganda = 194, Bemba = 195, Kabuverdianu = 196, Meru = 197, Kalenjin = 198, Nama = 199, Machame = 200, Colognian = 201, Masai = 202, Soga = 203, Luyia = 204, Asu = 205, Teso = 206, Saho = 207, KoyraChiini = 208, Rwa = 209, Luo = 210, Chiga = 211, CentralMoroccoTamazight = 212, KoyraboroSenni = 213, Shambala = 214, LastLanguage = Shambala }
enum | Country { AnyCountry = 0, Afghanistan = 1, Albania = 2, Algeria = 3, AmericanSamoa = 4, Andorra = 5, Angola = 6, Anguilla = 7, Antarctica = 8, AntiguaAndBarbuda = 9, Argentina = 10, Armenia = 11, Aruba = 12, Australia = 13, Austria = 14, Azerbaijan = 15, Bahamas = 16, Bahrain = 17, Bangladesh = 18, Barbados = 19, Belarus = 20, Belgium = 21, Belize = 22, Benin = 23, Bermuda = 24, Bhutan = 25, Bolivia = 26, BosniaAndHerzegowina = 27, Botswana = 28, BouvetIsland = 29, Brazil = 30, BritishIndianOceanTerritory = 31, BruneiDarussalam = 32, Bulgaria = 33, BurkinaFaso = 34, Burundi = 35, Cambodia = 36, Cameroon = 37, Canada = 38, CapeVerde = 39, CaymanIslands = 40, CentralAfricanRepublic = 41, Chad = 42, Chile = 43, China = 44, ChristmasIsland = 45, CocosIslands = 46, Colombia = 47, Comoros = 48, DemocraticRepublicOfCongo = 49, PeoplesRepublicOfCongo = 50, CookIslands = 51, CostaRica = 52, IvoryCoast = 53, Croatia = 54, Cuba = 55, Cyprus = 56, CzechRepublic = 57, Denmark = 58, Djibouti = 59, Dominica = 60, DominicanRepublic = 61, EastTimor = 62, Ecuador = 63, Egypt = 64, ElSalvador = 65, EquatorialGuinea = 66, Eritrea = 67, Estonia = 68, Ethiopia = 69, FalklandIslands = 70, FaroeIslands = 71, FijiCountry = 72, Finland = 73, France = 74, MetropolitanFrance = 75, FrenchGuiana = 76, FrenchPolynesia = 77, FrenchSouthernTerritories = 78, Gabon = 79, Gambia = 80, Georgia = 81, Germany = 82, Ghana = 83, Gibraltar = 84, Greece = 85, Greenland = 86, Grenada = 87, Guadeloupe = 88, Guam = 89, Guatemala = 90, Guinea = 91, GuineaBissau = 92, Guyana = 93, Haiti = 94, HeardAndMcDonaldIslands = 95, Honduras = 96, HongKong = 97, Hungary = 98, Iceland = 99, India = 100, Indonesia = 101, Iran = 102, Iraq = 103, Ireland = 104, Israel = 105, Italy = 106, Jamaica = 107, Japan = 108, Jordan = 109, Kazakhstan = 110, Kenya = 111, Kiribati = 112, DemocraticRepublicOfKorea = 113, RepublicOfKorea = 114, Kuwait = 115, Kyrgyzstan = 116, Lao = 117, Latvia = 118, Lebanon = 119, Lesotho = 120, Liberia = 121, LibyanArabJamahiriya = 122, Liechtenstein = 123, Lithuania = 124, Luxembourg = 125, Macau = 126, Macedonia = 127, Madagascar = 128, Malawi = 129, Malaysia = 130, Maldives = 131, Mali = 132, Malta = 133, MarshallIslands = 134, Martinique = 135, Mauritania = 136, Mauritius = 137, Mayotte = 138, Mexico = 139, Micronesia = 140, Moldova = 141, Monaco = 142, Mongolia = 143, Montserrat = 144, Morocco = 145, Mozambique = 146, Myanmar = 147, Namibia = 148, NauruCountry = 149, Nepal = 150, Netherlands = 151, NetherlandsAntilles = 152, NewCaledonia = 153, NewZealand = 154, Nicaragua = 155, Niger = 156, Nigeria = 157, Niue = 158, NorfolkIsland = 159, NorthernMarianaIslands = 160, Norway = 161, Oman = 162, Pakistan = 163, Palau = 164, PalestinianTerritory = 165, Panama = 166, PapuaNewGuinea = 167, Paraguay = 168, Peru = 169, Philippines = 170, Pitcairn = 171, Poland = 172, Portugal = 173, PuertoRico = 174, Qatar = 175, Reunion = 176, Romania = 177, RussianFederation = 178, Rwanda = 179, SaintKittsAndNevis = 180, StLucia = 181, StVincentAndTheGrenadines = 182, Samoa = 183, SanMarino = 184, SaoTomeAndPrincipe = 185, SaudiArabia = 186, Senegal = 187, Seychelles = 188, SierraLeone = 189, Singapore = 190, Slovakia = 191, Slovenia = 192, SolomonIslands = 193, Somalia = 194, SouthAfrica = 195, SouthGeorgiaAndTheSouthSandwichIslands = 196, Spain = 197, SriLanka = 198, StHelena = 199, StPierreAndMiquelon = 200, Sudan = 201, Suriname = 202, SvalbardAndJanMayenIslands = 203, Swaziland = 204, Sweden = 205, Switzerland = 206, SyrianArabRepublic = 207, Taiwan = 208, Tajikistan = 209, Tanzania = 210, Thailand = 211, Togo = 212, Tokelau = 213, TongaCountry = 214, TrinidadAndTobago = 215, Tunisia = 216, Turkey = 217, Turkmenistan = 218, TurksAndCaicosIslands = 219, Tuvalu = 220, Uganda = 221, Ukraine = 222, UnitedArabEmirates = 223, UnitedKingdom = 224, UnitedStates = 225, UnitedStatesMinorOutlyingIslands = 226, Uruguay = 227, Uzbekistan = 228, Vanuatu = 229, VaticanCityState = 230, Venezuela = 231, VietNam = 232, BritishVirginIslands = 233, USVirginIslands = 234, WallisAndFutunaIslands = 235, WesternSahara = 236, Yemen = 237, Yugoslavia = 238, Zambia = 239, Zimbabwe = 240, SerbiaAndMontenegro = 241, Montenegro = 242, Serbia = 243, SaintBarthelemy = 244, SaintMartin = 245, LatinAmericaAndTheCaribbean = 246, LastCountry = LatinAmericaAndTheCaribbean }
enum | MeasurementSystem { MetricSystem, ImperialSystem }
enum | FormatType { LongFormat, ShortFormat, NarrowFormat }
enum | NumberOption { OmitGroupSeparator = 0x01, RejectGroupSeparator = 0x02 }
## Public Member Functions
| QLocale ()
| QLocale (const QString &name)
| QLocale (Language language, Country country=AnyCountry)
| QLocale (const QLocale &other)
QLocale & | operator= (const QLocale &other)
Language | language () const
Country | country () const
QString | name () const
short | toShort (const QString &s, bool *ok=0, int base=0) const
ushort | toUShort (const QString &s, bool *ok=0, int base=0) const
int | toInt (const QString &s, bool *ok=0, int base=0) const
uint | toUInt (const QString &s, bool *ok=0, int base=0) const
qlonglong | toLongLong (const QString &s, bool *ok=0, int base=0) const
qlonglong | toULongLong (const QString &s, bool *ok=0, int base=0) const
float | toFloat (const QString &s, bool *ok=0) const
double | toDouble (const QString &s, bool *ok=0) const
QString | toString (qlonglong i) const
QString | toString (qulonglong i) const
QString | toString (short i) const
QString | toString (ushort i) const
QString | toString (int i) const
QString | toString (uint i) const
QString | toString (double i, char f= 'g', int prec=6) const
QString | toString (float i, char f= 'g', int prec=6) const
QString | toString (const QDate &date, const QString &formatStr) const
QString | toString (const QDate &date, FormatType format=LongFormat) const
QString | toString (const QTime &time, const QString &formatStr) const
QString | toString (const QTime &time, FormatType format=LongFormat) const
QString | toString (const QDateTime &dateTime, FormatType format=LongFormat) const
QString | toString (const QDateTime &dateTime, const QString &format) const
QString | dateFormat (FormatType format=LongFormat) const
QString | timeFormat (FormatType format=LongFormat) const
QString | dateTimeFormat (FormatType format=LongFormat) const
QDate | toDate (const QString &string, FormatType=LongFormat) const
QTime | toTime (const QString &string, FormatType=LongFormat) const
QDateTime | toDateTime (const QString &string, FormatType format=LongFormat) const
QDate | toDate (const QString &string, const QString &format) const
QTime | toTime (const QString &string, const QString &format) const
QDateTime | toDateTime (const QString &string, const QString &format) const
QChar | decimalPoint () const
QChar | groupSeparator () const
QChar | percent () const
QChar | zeroDigit () const
QChar | negativeSign () const
QChar | positiveSign () const
QChar | exponential () const
QString | monthName (int, FormatType format=LongFormat) const
QString | standaloneMonthName (int, FormatType format=LongFormat) const
QString | dayName (int, FormatType format=LongFormat) const
QString | standaloneDayName (int, FormatType format=LongFormat) const
QString | amText () const
QString | pmText () const
MeasurementSystem | measurementSystem () const
Qt::LayoutDirection | textDirection () const
bool | operator== (const QLocale &other) const
bool | operator!= (const QLocale &other) const
void | setNumberOptions (NumberOptions options)
NumberOptions | numberOptions () const
## Static Public Member Functions
static QString | languageToString (Language language)
static QString | countryToString (Country country)
static void | setDefault (const QLocale &locale)
static QLocale | c ()
static QLocale | system ()
static QList< Country > | countriesForLanguage (Language lang)
## Friends
class | QString
class | QByteArray
class | QIntValidator
class | QDoubleValidator
class | QTextStream
class | QTextStreamPrivate
struct | QLocalePrivate

## Member Enumeration Documentation

enum Language

Search for all occurrences

Enumerator:

  C | Search for all occurrences
  Abkhazian | Search for all occurrences
  Afan | Search for all occurrences
  Afar | Search for all occurrences
  Afrikaans | Search for all occurrences
  Albanian | Search for all occurrences
  Amharic | Search for all occurrences
  Arabic | Search for all occurrences
  Armenian | Search for all occurrences
  Assamese | Search for all occurrences
  Aymara | Search for all occurrences
  Azerbaijani | Search for all occurrences
  Bashkir | Search for all occurrences
  Basque | Search for all occurrences
  Bengali | Search for all occurrences
  Bhutani | Search for all occurrences
  Bihari | Search for all occurrences
  Bislama | Search for all occurrences
  Breton | Search for all occurrences
  Bulgarian | Search for all occurrences
  Burmese | Search for all occurrences
  Byelorussian | Search for all occurrences
  Cambodian | Search for all occurrences
  Catalan | Search for all occurrences
  Chinese | Search for all occurrences
  Corsican | Search for all occurrences
  Croatian | Search for all occurrences
  Czech | Search for all occurrences
  Danish | Search for all occurrences
  Dutch | Search for all occurrences
  English | Search for all occurrences
  Esperanto | Search for all occurrences
  Estonian | Search for all occurrences
  Faroese | Search for all occurrences
  FijiLanguage | Search for all occurrences
  Finnish | Search for all occurrences
  French | Search for all occurrences
  Frisian | Search for all occurrences
  Gaelic | Search for all occurrences
  Galician | Search for all occurrences
  Georgian | Search for all occurrences
  German | Search for all occurrences
  Greek | Search for all occurrences
  Greenlandic | Search for all occurrences
  Guarani | Search for all occurrences
  Gujarati | Search for all occurrences
  Hausa | Search for all occurrences
  Hebrew | Search for all occurrences
  Hindi | Search for all occurrences
  Hungarian | Search for all occurrences
  Icelandic | Search for all occurrences
  Indonesian | Search for all occurrences
  Interlingua | Search for all occurrences
  Interlingue | Search for all occurrences
  Inuktitut | Search for all occurrences
  Inupiak | Search for all occurrences
  Irish | Search for all occurrences
  Italian | Search for all occurrences
  Japanese | Search for all occurrences
  Javanese | Search for all occurrences
  Kannada | Search for all occurrences
  Kashmiri | Search for all occurrences
  Kazakh | Search for all occurrences
  Kinyarwanda | Search for all occurrences
  Kirghiz | Search for all occurrences
  Korean | Search for all occurrences
  Kurdish | Search for all occurrences
  Kurundi | Search for all occurrences
  Laothian | Search for all occurrences
  Latin | Search for all occurrences
  Latvian | Search for all occurrences
  Lingala | Search for all occurrences
  Lithuanian | Search for all occurrences
  Macedonian | Search for all occurrences
  Malagasy | Search for all occurrences
  Malay | Search for all occurrences
  Malayalam | Search for all occurrences
  Maltese | Search for all occurrences
  Maori | Search for all occurrences
  Marathi | Search for all occurrences
  Moldavian | Search for all occurrences
  Mongolian | Search for all occurrences
  NauruLanguage | Search for all occurrences
  Nepali | Search for all occurrences
  Norwegian | Search for all occurrences
  NorwegianBokmal | Search for all occurrences
  Occitan | Search for all occurrences
  Oriya | Search for all occurrences
  Pashto | Search for all occurrences
  Persian | Search for all occurrences
  Polish | Search for all occurrences
  Portuguese | Search for all occurrences
  Punjabi | Search for all occurrences
  Quechua | Search for all occurrences
  RhaetoRomance | Search for all occurrences
  Romanian | Search for all occurrences
  Russian | Search for all occurrences
  Samoan | Search for all occurrences
  Sangho | Search for all occurrences
  Sanskrit | Search for all occurrences
  Serbian | Search for all occurrences
  SerboCroatian | Search for all occurrences
  Sesotho | Search for all occurrences
  Setswana | Search for all occurrences
  Shona | Search for all occurrences
  Sindhi | Search for all occurrences
  Singhalese | Search for all occurrences
  Siswati | Search for all occurrences
  Slovak | Search for all occurrences
  Slovenian | Search for all occurrences
  Somali | Search for all occurrences
  Spanish | Search for all occurrences
  Sundanese | Search for all occurrences
  Swahili | Search for all occurrences
  Swedish | Search for all occurrences
  Tagalog | Search for all occurrences
  Tajik | Search for all occurrences
  Tamil | Search for all occurrences
  Tatar | Search for all occurrences
  Telugu | Search for all occurrences
  Thai | Search for all occurrences
  Tibetan | Search for all occurrences
  Tigrinya | Search for all occurrences
  TongaLanguage | Search for all occurrences
  Tsonga | Search for all occurrences
  Turkish | Search for all occurrences
  Turkmen | Search for all occurrences
  Twi | Search for all occurrences
  Uigur | Search for all occurrences
  Ukrainian | Search for all occurrences
  Urdu | Search for all occurrences
  Uzbek | Search for all occurrences
  Vietnamese | Search for all occurrences
  Volapuk | Search for all occurrences
  Welsh | Search for all occurrences
  Wolof | Search for all occurrences
  Xhosa | Search for all occurrences
  Yiddish | Search for all occurrences
  Yoruba | Search for all occurrences
  Zhuang | Search for all occurrences
  Zulu | Search for all occurrences
  NorwegianNynorsk | Search for all occurrences
  Nynorsk | Search for all occurrences
  Bosnian | Search for all occurrences
  Divehi | Search for all occurrences
  Manx | Search for all occurrences
  Cornish | Search for all occurrences
  Akan | Search for all occurrences
  Konkani | Search for all occurrences
  Ga | Search for all occurrences
  Igbo | Search for all occurrences
  Kamba | Search for all occurrences
  Syriac | Search for all occurrences
  Blin | Search for all occurrences
  Geez | Search for all occurrences
  Koro | Search for all occurrences
  Sidamo | Search for all occurrences
  Atsam | Search for all occurrences
  Tigre | Search for all occurrences
  Jju | Search for all occurrences
  Friulian | Search for all occurrences
  Venda | Search for all occurrences
  Ewe | Search for all occurrences
  Walamo | Search for all occurrences
  Hawaiian | Search for all occurrences
  Tyap | Search for all occurrences
  Chewa | Search for all occurrences
  Filipino | Search for all occurrences
  SwissGerman | Search for all occurrences
  SichuanYi | Search for all occurrences
  Kpelle | Search for all occurrences
  LowGerman | Search for all occurrences
  SouthNdebele | Search for all occurrences
  NorthernSotho | Search for all occurrences
  NorthernSami | Search for all occurrences
  Taroko | Search for all occurrences
  Gusii | Search for all occurrences
  Taita | Search for all occurrences
  Fulah | Search for all occurrences
  Kikuyu | Search for all occurrences
  Samburu | Search for all occurrences
  Sena | Search for all occurrences
  NorthNdebele | Search for all occurrences
  Rombo | Search for all occurrences
  Tachelhit | Search for all occurrences
  Kabyle | Search for all occurrences
  Nyankole | Search for all occurrences
  Bena | Search for all occurrences
  Vunjo | Search for all occurrences
  Bambara | Search for all occurrences
  Embu | Search for all occurrences
  Cherokee | Search for all occurrences
  Morisyen | Search for all occurrences
  Makonde | Search for all occurrences
  Langi | Search for all occurrences
  Ganda | Search for all occurrences
  Bemba | Search for all occurrences
  Kabuverdianu | Search for all occurrences
  Meru | Search for all occurrences
  Kalenjin | Search for all occurrences
  Nama | Search for all occurrences
  Machame | Search for all occurrences
  Colognian | Search for all occurrences
  Masai | Search for all occurrences
  Soga | Search for all occurrences
  Luyia | Search for all occurrences
  Asu | Search for all occurrences
  Teso | Search for all occurrences
  Saho | Search for all occurrences
  KoyraChiini | Search for all occurrences
  Rwa | Search for all occurrences
  Luo | Search for all occurrences
  Chiga | Search for all occurrences
  CentralMoroccoTamazight | Search for all occurrences
  KoyraboroSenni | Search for all occurrences
  Shambala | Search for all occurrences
  LastLanguage | Search for all occurrences

Definition at line 122 of file qlocale.h.

                      {
            C = 1,
            Abkhazian = 2,
            Afan = 3,
            Afar = 4,
            Afrikaans = 5,
            Albanian = 6,
            Amharic = 7,
            Arabic = 8,
            Armenian = 9,
            Assamese = 10,
            Aymara = 11,
            Azerbaijani = 12,
            Bashkir = 13,
            Basque = 14,
            Bengali = 15,
            Bhutani = 16,
            Bihari = 17,
            Bislama = 18,
            Breton = 19,
            Bulgarian = 20,
            Burmese = 21,
            Byelorussian = 22,
            Cambodian = 23,
            Catalan = 24,
            Chinese = 25,
            Corsican = 26,
            Croatian = 27,
            Czech = 28,
            Danish = 29,
            Dutch = 30,
            English = 31,
            Esperanto = 32,
            Estonian = 33,
            Faroese = 34,
            FijiLanguage = 35,
            Finnish = 36,
            French = 37,
            Frisian = 38,
            Gaelic = 39,
            Galician = 40,
            Georgian = 41,
            German = 42,
            Greek = 43,
            Greenlandic = 44,
            Guarani = 45,
            Gujarati = 46,
            Hausa = 47,
            Hebrew = 48,
            Hindi = 49,
            Hungarian = 50,
            Icelandic = 51,
            Indonesian = 52,
            Interlingua = 53,
            Interlingue = 54,
            Inuktitut = 55,
            Inupiak = 56,
            Irish = 57,
            Italian = 58,
            Japanese = 59,
            Javanese = 60,
            Kannada = 61,
            Kashmiri = 62,
            Kazakh = 63,
            Kinyarwanda = 64,
            Kirghiz = 65,
            Korean = 66,
            Kurdish = 67,
            Kurundi = 68,
            Laothian = 69,
            Latin = 70,
            Latvian = 71,
            Lingala = 72,
            Lithuanian = 73,
            Macedonian = 74,
            Malagasy = 75,
            Malay = 76,
            Malayalam = 77,
            Maltese = 78,
            Maori = 79,
            Marathi = 80,
            Moldavian = 81,
            Mongolian = 82,
            NauruLanguage = 83,
            Nepali = 84,
            Norwegian = 85,
            NorwegianBokmal = Norwegian,
            Occitan = 86,
            Oriya = 87,
            Pashto = 88,
            Persian = 89,
            Polish = 90,
            Portuguese = 91,
            Punjabi = 92,
            Quechua = 93,
            RhaetoRomance = 94,
            Romanian = 95,
            Russian = 96,
            Samoan = 97,
            Sangho = 98,
            Sanskrit = 99,
            Serbian = 100,
            SerboCroatian = 101,
            Sesotho = 102,
            Setswana = 103,
            Shona = 104,
            Sindhi = 105,
            Singhalese = 106,
            Siswati = 107,
            Slovak = 108,
            Slovenian = 109,
            Somali = 110,
            Spanish = 111,
            Sundanese = 112,
            Swahili = 113,
            Swedish = 114,
            Tagalog = 115,
            Tajik = 116,
            Tamil = 117,
            Tatar = 118,
            Telugu = 119,
            Thai = 120,
            Tibetan = 121,
            Tigrinya = 122,
            TongaLanguage = 123,
            Tsonga = 124,
            Turkish = 125,
            Turkmen = 126,
            Twi = 127,
            Uigur = 128,
            Ukrainian = 129,
            Urdu = 130,
            Uzbek = 131,
            Vietnamese = 132,
            Volapuk = 133,
            Welsh = 134,
            Wolof = 135,
            Xhosa = 136,
            Yiddish = 137,
            Yoruba = 138,
            Zhuang = 139,
            Zulu = 140,
            NorwegianNynorsk = 141,
            Nynorsk = NorwegianNynorsk, // ### obsolete
            Bosnian = 142,
            Divehi = 143,
            Manx = 144,
            Cornish = 145,
            Akan = 146,
            Konkani = 147,
            Ga = 148,
            Igbo = 149,
            Kamba = 150,
            Syriac = 151,
            Blin = 152,
            Geez = 153,
            Koro = 154,
            Sidamo = 155,
            Atsam = 156,
            Tigre = 157,
            Jju = 158,
            Friulian = 159,
            Venda = 160,
            Ewe = 161,
            Walamo = 162,
            Hawaiian = 163,
            Tyap = 164,
            Chewa = 165,
            Filipino = 166,
            SwissGerman = 167,
            SichuanYi = 168,
            Kpelle = 169,
            LowGerman = 170,
            SouthNdebele = 171,
            NorthernSotho = 172,
            NorthernSami = 173,
            Taroko = 174,
            Gusii = 175,
            Taita = 176,
            Fulah = 177,
            Kikuyu = 178,
            Samburu = 179,
            Sena = 180,
            NorthNdebele = 181,
            Rombo = 182,
            Tachelhit = 183,
            Kabyle = 184,
            Nyankole = 185,
            Bena = 186,
            Vunjo = 187,
            Bambara = 188,
            Embu = 189,
            Cherokee = 190,
            Morisyen = 191,
            Makonde = 192,
            Langi = 193,
            Ganda = 194,
            Bemba = 195,
            Kabuverdianu = 196,
            Meru = 197,
            Kalenjin = 198,
            Nama = 199,
            Machame = 200,
            Colognian = 201,
            Masai = 202,
            Soga = 203,
            Luyia = 204,
            Asu = 205,
            Teso = 206,
            Saho = 207,
            KoyraChiini = 208,
            Rwa = 209,
            Luo = 210,
            Chiga = 211,
            CentralMoroccoTamazight = 212,
            KoyraboroSenni = 213,
            Shambala = 214,
            LastLanguage = Shambala
        };

enum Country

Search for all occurrences

Enumerator:

  AnyCountry | Search for all occurrences
  Afghanistan | Search for all occurrences
  Albania | Search for all occurrences
  Algeria | Search for all occurrences
  AmericanSamoa | Search for all occurrences
  Andorra | Search for all occurrences
  Angola | Search for all occurrences
  Anguilla | Search for all occurrences
  Antarctica | Search for all occurrences
  AntiguaAndBarbuda | Search for all occurrences
  Argentina | Search for all occurrences
  Armenia | Search for all occurrences
  Aruba | Search for all occurrences
  Australia | Search for all occurrences
  Austria | Search for all occurrences
  Azerbaijan | Search for all occurrences
  Bahamas | Search for all occurrences
  Bahrain | Search for all occurrences
  Bangladesh | Search for all occurrences
  Barbados | Search for all occurrences
  Belarus | Search for all occurrences
  Belgium | Search for all occurrences
  Belize | Search for all occurrences
  Benin | Search for all occurrences
  Bermuda | Search for all occurrences
  Bhutan | Search for all occurrences
  Bolivia | Search for all occurrences
  BosniaAndHerzegowina | Search for all occurrences
  Botswana | Search for all occurrences
  BouvetIsland | Search for all occurrences
  Brazil | Search for all occurrences
  BritishIndianOceanTerritory | Search for all occurrences
  BruneiDarussalam | Search for all occurrences
  Bulgaria | Search for all occurrences
  BurkinaFaso | Search for all occurrences
  Burundi | Search for all occurrences
  Cambodia | Search for all occurrences
  Cameroon | Search for all occurrences
  Canada | Search for all occurrences
  CapeVerde | Search for all occurrences
  CaymanIslands | Search for all occurrences
  CentralAfricanRepublic | Search for all occurrences
  Chad | Search for all occurrences
  Chile | Search for all occurrences
  China | Search for all occurrences
  ChristmasIsland | Search for all occurrences
  CocosIslands | Search for all occurrences
  Colombia | Search for all occurrences
  Comoros | Search for all occurrences
  DemocraticRepublicOfCongo | Search for all occurrences
  PeoplesRepublicOfCongo | Search for all occurrences
  CookIslands | Search for all occurrences
  CostaRica | Search for all occurrences
  IvoryCoast | Search for all occurrences
  Croatia | Search for all occurrences
  Cuba | Search for all occurrences
  Cyprus | Search for all occurrences
  CzechRepublic | Search for all occurrences
  Denmark | Search for all occurrences
  Djibouti | Search for all occurrences
  Dominica | Search for all occurrences
  DominicanRepublic | Search for all occurrences
  EastTimor | Search for all occurrences
  Ecuador | Search for all occurrences
  Egypt | Search for all occurrences
  ElSalvador | Search for all occurrences
  EquatorialGuinea | Search for all occurrences
  Eritrea | Search for all occurrences
  Estonia | Search for all occurrences
  Ethiopia | Search for all occurrences
  FalklandIslands | Search for all occurrences
  FaroeIslands | Search for all occurrences
  FijiCountry | Search for all occurrences
  Finland | Search for all occurrences
  France | Search for all occurrences
  MetropolitanFrance | Search for all occurrences
  FrenchGuiana | Search for all occurrences
  FrenchPolynesia | Search for all occurrences
  FrenchSouthernTerritories | Search for all occurrences
  Gabon | Search for all occurrences
  Gambia | Search for all occurrences
  Georgia | Search for all occurrences
  Germany | Search for all occurrences
  Ghana | Search for all occurrences
  Gibraltar | Search for all occurrences
  Greece | Search for all occurrences
  Greenland | Search for all occurrences
  Grenada | Search for all occurrences
  Guadeloupe | Search for all occurrences
  Guam | Search for all occurrences
  Guatemala | Search for all occurrences
  Guinea | Search for all occurrences
  GuineaBissau | Search for all occurrences
  Guyana | Search for all occurrences
  Haiti | Search for all occurrences
  HeardAndMcDonaldIslands | Search for all occurrences
  Honduras | Search for all occurrences
  HongKong | Search for all occurrences
  Hungary | Search for all occurrences
  Iceland | Search for all occurrences
  India | Search for all occurrences
  Indonesia | Search for all occurrences
  Iran | Search for all occurrences
  Iraq | Search for all occurrences
  Ireland | Search for all occurrences
  Israel | Search for all occurrences
  Italy | Search for all occurrences
  Jamaica | Search for all occurrences
  Japan | Search for all occurrences
  Jordan | Search for all occurrences
  Kazakhstan | Search for all occurrences
  Kenya | Search for all occurrences
  Kiribati | Search for all occurrences
  DemocraticRepublicOfKorea | Search for all occurrences
  RepublicOfKorea | Search for all occurrences
  Kuwait | Search for all occurrences
  Kyrgyzstan | Search for all occurrences
  Lao | Search for all occurrences
  Latvia | Search for all occurrences
  Lebanon | Search for all occurrences
  Lesotho | Search for all occurrences
  Liberia | Search for all occurrences
  LibyanArabJamahiriya | Search for all occurrences
  Liechtenstein | Search for all occurrences
  Lithuania | Search for all occurrences
  Luxembourg | Search for all occurrences
  Macau | Search for all occurrences
  Macedonia | Search for all occurrences
  Madagascar | Search for all occurrences
  Malawi | Search for all occurrences
  Malaysia | Search for all occurrences
  Maldives | Search for all occurrences
  Mali | Search for all occurrences
  Malta | Search for all occurrences
  MarshallIslands | Search for all occurrences
  Martinique | Search for all occurrences
  Mauritania | Search for all occurrences
  Mauritius | Search for all occurrences
  Mayotte | Search for all occurrences
  Mexico | Search for all occurrences
  Micronesia | Search for all occurrences
  Moldova | Search for all occurrences
  Monaco | Search for all occurrences
  Mongolia | Search for all occurrences
  Montserrat | Search for all occurrences
  Morocco | Search for all occurrences
  Mozambique | Search for all occurrences
  Myanmar | Search for all occurrences
  Namibia | Search for all occurrences
  NauruCountry | Search for all occurrences
  Nepal | Search for all occurrences
  Netherlands | Search for all occurrences
  NetherlandsAntilles | Search for all occurrences
  NewCaledonia | Search for all occurrences
  NewZealand | Search for all occurrences
  Nicaragua | Search for all occurrences
  Niger | Search for all occurrences
  Nigeria | Search for all occurrences
  Niue | Search for all occurrences
  NorfolkIsland | Search for all occurrences
  NorthernMarianaIslands | Search for all occurrences
  Norway | Search for all occurrences
  Oman | Search for all occurrences
  Pakistan | Search for all occurrences
  Palau | Search for all occurrences
  PalestinianTerritory | Search for all occurrences
  Panama | Search for all occurrences
  PapuaNewGuinea | Search for all occurrences
  Paraguay | Search for all occurrences
  Peru | Search for all occurrences
  Philippines | Search for all occurrences
  Pitcairn | Search for all occurrences
  Poland | Search for all occurrences
  Portugal | Search for all occurrences
  PuertoRico | Search for all occurrences
  Qatar | Search for all occurrences
  Reunion | Search for all occurrences
  Romania | Search for all occurrences
  RussianFederation | Search for all occurrences
  Rwanda | Search for all occurrences
  SaintKittsAndNevis | Search for all occurrences
  StLucia | Search for all occurrences
  StVincentAndTheGrenadines | Search for all occurrences
  Samoa | Search for all occurrences
  SanMarino | Search for all occurrences
  SaoTomeAndPrincipe | Search for all occurrences
  SaudiArabia | Search for all occurrences
  Senegal | Search for all occurrences
  Seychelles | Search for all occurrences
  SierraLeone | Search for all occurrences
  Singapore | Search for all occurrences
  Slovakia | Search for all occurrences
  Slovenia | Search for all occurrences
  SolomonIslands | Search for all occurrences
  Somalia | Search for all occurrences
  SouthAfrica | Search for all occurrences
  SouthGeorgiaAndTheSouthSandwichIslands | Search for all occurrences
  Spain | Search for all occurrences
  SriLanka | Search for all occurrences
  StHelena | Search for all occurrences
  StPierreAndMiquelon | Search for all occurrences
  Sudan | Search for all occurrences
  Suriname | Search for all occurrences
  SvalbardAndJanMayenIslands | Search for all occurrences
  Swaziland | Search for all occurrences
  Sweden | Search for all occurrences
  Switzerland | Search for all occurrences
  SyrianArabRepublic | Search for all occurrences
  Taiwan | Search for all occurrences
  Tajikistan | Search for all occurrences
  Tanzania | Search for all occurrences
  Thailand | Search for all occurrences
  Togo | Search for all occurrences
  Tokelau | Search for all occurrences
  TongaCountry | Search for all occurrences
  TrinidadAndTobago | Search for all occurrences
  Tunisia | Search for all occurrences
  Turkey | Search for all occurrences
  Turkmenistan | Search for all occurrences
  TurksAndCaicosIslands | Search for all occurrences
  Tuvalu | Search for all occurrences
  Uganda | Search for all occurrences
  Ukraine | Search for all occurrences
  UnitedArabEmirates | Search for all occurrences
  UnitedKingdom | Search for all occurrences
  UnitedStates | Search for all occurrences
  UnitedStatesMinorOutlyingIslands | Search for all occurrences
  Uruguay | Search for all occurrences
  Uzbekistan | Search for all occurrences
  Vanuatu | Search for all occurrences
  VaticanCityState | Search for all occurrences
  Venezuela | Search for all occurrences
  VietNam | Search for all occurrences
  BritishVirginIslands | Search for all occurrences
  USVirginIslands | Search for all occurrences
  WallisAndFutunaIslands | Search for all occurrences
  WesternSahara | Search for all occurrences
  Yemen | Search for all occurrences
  Yugoslavia | Search for all occurrences
  Zambia | Search for all occurrences
  Zimbabwe | Search for all occurrences
  SerbiaAndMontenegro | Search for all occurrences
  Montenegro | Search for all occurrences
  Serbia | Search for all occurrences
  SaintBarthelemy | Search for all occurrences
  SaintMartin | Search for all occurrences
  LatinAmericaAndTheCaribbean | Search for all occurrences
  LastCountry | Search for all occurrences

Definition at line 342 of file qlocale.h.

                     {
            AnyCountry = 0,
            Afghanistan = 1,
            Albania = 2,
            Algeria = 3,
            AmericanSamoa = 4,
            Andorra = 5,
            Angola = 6,
            Anguilla = 7,
            Antarctica = 8,
            AntiguaAndBarbuda = 9,
            Argentina = 10,
            Armenia = 11,
            Aruba = 12,
            Australia = 13,
            Austria = 14,
            Azerbaijan = 15,
            Bahamas = 16,
            Bahrain = 17,
            Bangladesh = 18,
            Barbados = 19,
            Belarus = 20,
            Belgium = 21,
            Belize = 22,
            Benin = 23,
            Bermuda = 24,
            Bhutan = 25,
            Bolivia = 26,
            BosniaAndHerzegowina = 27,
            Botswana = 28,
            BouvetIsland = 29,
            Brazil = 30,
            BritishIndianOceanTerritory = 31,
            BruneiDarussalam = 32,
            Bulgaria = 33,
            BurkinaFaso = 34,
            Burundi = 35,
            Cambodia = 36,
            Cameroon = 37,
            Canada = 38,
            CapeVerde = 39,
            CaymanIslands = 40,
            CentralAfricanRepublic = 41,
            Chad = 42,
            Chile = 43,
            China = 44,
            ChristmasIsland = 45,
            CocosIslands = 46,
            Colombia = 47,
            Comoros = 48,
            DemocraticRepublicOfCongo = 49,
            PeoplesRepublicOfCongo = 50,
            CookIslands = 51,
            CostaRica = 52,
            IvoryCoast = 53,
            Croatia = 54,
            Cuba = 55,
            Cyprus = 56,
            CzechRepublic = 57,
            Denmark = 58,
            Djibouti = 59,
            Dominica = 60,
            DominicanRepublic = 61,
            EastTimor = 62,
            Ecuador = 63,
            Egypt = 64,
            ElSalvador = 65,
            EquatorialGuinea = 66,
            Eritrea = 67,
            Estonia = 68,
            Ethiopia = 69,
            FalklandIslands = 70,
            FaroeIslands = 71,
            FijiCountry = 72,
            Finland = 73,
            France = 74,
            MetropolitanFrance = 75,
            FrenchGuiana = 76,
            FrenchPolynesia = 77,
            FrenchSouthernTerritories = 78,
            Gabon = 79,
            Gambia = 80,
            Georgia = 81,
            Germany = 82,
            Ghana = 83,
            Gibraltar = 84,
            Greece = 85,
            Greenland = 86,
            Grenada = 87,
            Guadeloupe = 88,
            Guam = 89,
            Guatemala = 90,
            Guinea = 91,
            GuineaBissau = 92,
            Guyana = 93,
            Haiti = 94,
            HeardAndMcDonaldIslands = 95,
            Honduras = 96,
            HongKong = 97,
            Hungary = 98,
            Iceland = 99,
            India = 100,
            Indonesia = 101,
            Iran = 102,
            Iraq = 103,
            Ireland = 104,
            Israel = 105,
            Italy = 106,
            Jamaica = 107,
            Japan = 108,
            Jordan = 109,
            Kazakhstan = 110,
            Kenya = 111,
            Kiribati = 112,
            DemocraticRepublicOfKorea = 113,
            RepublicOfKorea = 114,
            Kuwait = 115,
            Kyrgyzstan = 116,
            Lao = 117,
            Latvia = 118,
            Lebanon = 119,
            Lesotho = 120,
            Liberia = 121,
            LibyanArabJamahiriya = 122,
            Liechtenstein = 123,
            Lithuania = 124,
            Luxembourg = 125,
            Macau = 126,
            Macedonia = 127,
            Madagascar = 128,
            Malawi = 129,
            Malaysia = 130,
            Maldives = 131,
            Mali = 132,
            Malta = 133,
            MarshallIslands = 134,
            Martinique = 135,
            Mauritania = 136,
            Mauritius = 137,
            Mayotte = 138,
            Mexico = 139,
            Micronesia = 140,
            Moldova = 141,
            Monaco = 142,
            Mongolia = 143,
            Montserrat = 144,
            Morocco = 145,
            Mozambique = 146,
            Myanmar = 147,
            Namibia = 148,
            NauruCountry = 149,
            Nepal = 150,
            Netherlands = 151,
            NetherlandsAntilles = 152,
            NewCaledonia = 153,
            NewZealand = 154,
            Nicaragua = 155,
            Niger = 156,
            Nigeria = 157,
            Niue = 158,
            NorfolkIsland = 159,
            NorthernMarianaIslands = 160,
            Norway = 161,
            Oman = 162,
            Pakistan = 163,
            Palau = 164,
            PalestinianTerritory = 165,
            Panama = 166,
            PapuaNewGuinea = 167,
            Paraguay = 168,
            Peru = 169,
            Philippines = 170,
            Pitcairn = 171,
            Poland = 172,
            Portugal = 173,
            PuertoRico = 174,
            Qatar = 175,
            Reunion = 176,
            Romania = 177,
            RussianFederation = 178,
            Rwanda = 179,
            SaintKittsAndNevis = 180,
            StLucia = 181,
            StVincentAndTheGrenadines = 182,
            Samoa = 183,
            SanMarino = 184,
            SaoTomeAndPrincipe = 185,
            SaudiArabia = 186,
            Senegal = 187,
            Seychelles = 188,
            SierraLeone = 189,
            Singapore = 190,
            Slovakia = 191,
            Slovenia = 192,
            SolomonIslands = 193,
            Somalia = 194,
            SouthAfrica = 195,
            SouthGeorgiaAndTheSouthSandwichIslands = 196,
            Spain = 197,
            SriLanka = 198,
            StHelena = 199,
            StPierreAndMiquelon = 200,
            Sudan = 201,
            Suriname = 202,
            SvalbardAndJanMayenIslands = 203,
            Swaziland = 204,
            Sweden = 205,
            Switzerland = 206,
            SyrianArabRepublic = 207,
            Taiwan = 208,
            Tajikistan = 209,
            Tanzania = 210,
            Thailand = 211,
            Togo = 212,
            Tokelau = 213,
            TongaCountry = 214,
            TrinidadAndTobago = 215,
            Tunisia = 216,
            Turkey = 217,
            Turkmenistan = 218,
            TurksAndCaicosIslands = 219,
            Tuvalu = 220,
            Uganda = 221,
            Ukraine = 222,
            UnitedArabEmirates = 223,
            UnitedKingdom = 224,
            UnitedStates = 225,
            UnitedStatesMinorOutlyingIslands = 226,
            Uruguay = 227,
            Uzbekistan = 228,
            Vanuatu = 229,
            VaticanCityState = 230,
            Venezuela = 231,
            VietNam = 232,
            BritishVirginIslands = 233,
            USVirginIslands = 234,
            WallisAndFutunaIslands = 235,
            WesternSahara = 236,
            Yemen = 237,
            Yugoslavia = 238,
            Zambia = 239,
            Zimbabwe = 240,
            SerbiaAndMontenegro = 241,
            Montenegro = 242,
            Serbia = 243,
            SaintBarthelemy = 244,
            SaintMartin = 245,
            LatinAmericaAndTheCaribbean = 246,
            LastCountry = LatinAmericaAndTheCaribbean
        };

enum MeasurementSystem

Search for all occurrences

Enumerator:

  MetricSystem | Search for all occurrences
  ImperialSystem | Search for all occurrences

Definition at line 593 of file qlocale.h.

    { MetricSystem, ImperialSystem };

enum FormatType

Search for all occurrences

Enumerator:

  LongFormat | Search for all occurrences
  ShortFormat | Search for all occurrences
  NarrowFormat | Search for all occurrences

Definition at line 595 of file qlocale.h.

    { LongFormat, ShortFormat, NarrowFormat };

enum NumberOption

Search for all occurrences

Enumerator:

  OmitGroupSeparator | Search for all occurrences
  RejectGroupSeparator | Search for all occurrences

Definition at line 596 of file qlocale.h.

                          {
            OmitGroupSeparator = 0x01,
            RejectGroupSeparator = 0x02
        };

## Constructor & Destructor Documentation

QLocale | ( |  | ) |

QLocale | ( | const QString & | name | ) |

QLocale | ( | Language | language,
|  | Country | country = `AnyCountry`
| ) |  |

QLocale | ( | const QLocale & | other | ) |

## Member Function Documentation

QLocale& operator= | ( | const QLocale & | other | ) |

Language language | ( |  | ) | const

Search for all occurrences

Country country | ( |  | ) | const

Search for all occurrences

QString name | ( |  | ) | const

Search for all occurrences

short toShort | ( | const QString & | s,
|  | bool * | ok = `0`,
|  | int | base = `0`
| ) |  | const

Search for all occurrences

ushort toUShort | ( | const QString & | s,
|  | bool * | ok = `0`,
|  | int | base = `0`
| ) |  | const

Search for all occurrences

int toInt | ( | const QString & | s,
|  | bool * | ok = `0`,
|  | int | base = `0`
| ) |  | const

Search for all occurrences

uint toUInt | ( | const QString & | s,
|  | bool * | ok = `0`,
|  | int | base = `0`
| ) |  | const

Search for all occurrences

qlonglong toLongLong | ( | const QString & | s,
|  | bool * | ok = `0`,
|  | int | base = `0`
| ) |  | const

Search for all occurrences

qlonglong toULongLong | ( | const QString & | s,
|  | bool * | ok = `0`,
|  | int | base = `0`
| ) |  | const

Search for all occurrences

float toFloat | ( | const QString & | s,
|  | bool * | ok = `0`
| ) |  | const

Search for all occurrences

double toDouble | ( | const QString & | s,
|  | bool * | ok = `0`
| ) |  | const

Search for all occurrences

QString toString | ( | qlonglong | i | ) | const

Search for all occurrences

QString toString | ( | qulonglong | i | ) | const

Search for all occurrences

QString toString | ( | short | i | ) | const `[inline]`

Search for all occurrences

Definition at line 704 of file qlocale.h.

        { return toString(qlonglong(i)); }

QString toString | ( | ushort | i | ) | const `[inline]`

Search for all occurrences

Definition at line 706 of file qlocale.h.

        { return toString(qulonglong(i)); }

QString toString | ( | int | i | ) | const `[inline]`

Search for all occurrences

Definition at line 708 of file qlocale.h.

        { return toString(qlonglong(i)); }

QString toString | ( | uint | i | ) | const `[inline]`

Search for all occurrences

Definition at line 710 of file qlocale.h.

        { return toString(qulonglong(i)); }

QString toString | ( | double | i,
|  | char | f = `'g'`,
|  | int | prec = `6`
| ) |  | const

Search for all occurrences

QString toString | ( | float | i,
|  | char | f = `'g'`,
|  | int | prec = `6`
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 712 of file qlocale.h.

        { return toString(double(i), f, prec); }

QString toString | ( | const QDate & | date,
|  | const QString & | formatStr
| ) |  | const

Search for all occurrences

QString toString | ( | const QDate & | date,
|  | FormatType | format = `LongFormat`
| ) |  | const

Search for all occurrences

QString toString | ( | const QTime & | time,
|  | const QString & | formatStr
| ) |  | const

Search for all occurrences

QString toString | ( | const QTime & | time,
|  | FormatType | format = `LongFormat`
| ) |  | const

Search for all occurrences

QString toString | ( | const QDateTime & | dateTime,
|  | FormatType | format = `LongFormat`
| ) |  | const

Search for all occurrences

QString toString | ( | const QDateTime & | dateTime,
|  | const QString & | format
| ) |  | const

Search for all occurrences

QString dateFormat | ( | FormatType | format = `LongFormat` | ) | const

Search for all occurrences

QString timeFormat | ( | FormatType | format = `LongFormat` | ) | const

Search for all occurrences

QString dateTimeFormat | ( | FormatType | format = `LongFormat` | ) | const

Search for all occurrences

QDate toDate | ( | const QString & | string,
|  | FormatType | = `LongFormat`
| ) |  | const

Search for all occurrences

QTime toTime | ( | const QString & | string,
|  | FormatType | = `LongFormat`
| ) |  | const

Search for all occurrences

QDateTime toDateTime | ( | const QString & | string,
|  | FormatType | format = `LongFormat`
| ) |  | const

Search for all occurrences

QDate toDate | ( | const QString & | string,
|  | const QString & | format
| ) |  | const

Search for all occurrences

QTime toTime | ( | const QString & | string,
|  | const QString & | format
| ) |  | const

Search for all occurrences

QDateTime toDateTime | ( | const QString & | string,
|  | const QString & | format
| ) |  | const

Search for all occurrences

QChar decimalPoint | ( |  | ) | const

Search for all occurrences

QChar groupSeparator | ( |  | ) | const

Search for all occurrences

QChar percent | ( |  | ) | const

Search for all occurrences

QChar zeroDigit | ( |  | ) | const

Search for all occurrences

QChar negativeSign | ( |  | ) | const

Search for all occurrences

QChar positiveSign | ( |  | ) | const

Search for all occurrences

QChar exponential | ( |  | ) | const

Search for all occurrences

QString monthName | ( | int | ,
|  | FormatType | format = `LongFormat`
| ) |  | const

Search for all occurrences

QString standaloneMonthName | ( | int | ,
|  | FormatType | format = `LongFormat`
| ) |  | const

Search for all occurrences

QString dayName | ( | int | ,
|  | FormatType | format = `LongFormat`
| ) |  | const

Search for all occurrences

QString standaloneDayName | ( | int | ,
|  | FormatType | format = `LongFormat`
| ) |  | const

Search for all occurrences

QString amText | ( |  | ) | const

Search for all occurrences

QString pmText | ( |  | ) | const

Search for all occurrences

MeasurementSystem measurementSystem | ( |  | ) | const

Search for all occurrences

Qt::LayoutDirection textDirection | ( |  | ) | const

Search for all occurrences

bool operator== | ( | const QLocale & | other | ) | const `[inline]`

Definition at line 714 of file qlocale.h.

        { return d() == other.d() && numberOptions() == other.numberOptions(); }

bool operator!= | ( | const QLocale & | other | ) | const `[inline]`

Definition at line 716 of file qlocale.h.

        { return d() != other.d() || numberOptions() != other.numberOptions(); }

static QString languageToString | ( | Language | language | ) | `[static]`

Search for all occurrences

static QString countryToString | ( | Country | country | ) | `[static]`

Search for all occurrences

static void setDefault | ( | const QLocale & | locale | ) | `[static]`

Search for all occurrences

static QLocale c | ( |  | ) | `[inline, static]`

Search for all occurrences

Definition at line 678 of file qlocale.h.

    { return QLocale(C); }

static QLocale system | ( |  | ) | `[static]`

Search for all occurrences

static QList<Country> countriesForLanguage | ( | Language | lang | ) | `[static]`

Search for all occurrences

void setNumberOptions | ( | NumberOptions | options | ) |

Search for all occurrences

NumberOptions numberOptions | ( |  | ) | const

Search for all occurrences

## Friends And Related Function Documentation

friend class QString `[friend]`

Search for all occurrences

Definition at line 114 of file qlocale.h.

friend class QByteArray `[friend]`

Search for all occurrences

Definition at line 115 of file qlocale.h.

friend class QIntValidator `[friend]`

Search for all occurrences

Definition at line 116 of file qlocale.h.

friend class QDoubleValidator `[friend]`

Search for all occurrences

Definition at line 117 of file qlocale.h.

friend class QTextStream `[friend]`

Search for all occurrences

Definition at line 118 of file qlocale.h.

friend class QTextStreamPrivate `[friend]`

Search for all occurrences

Definition at line 119 of file qlocale.h.

friend struct QLocalePrivate `[friend]`

Search for all occurrences

Definition at line 692 of file qlocale.h.

## Member Data Documentation

void* v

Search for all occurrences

Definition at line 696 of file qlocale.h.

Data p

Search for all occurrences

Definition at line 697 of file qlocale.h.

The documentation for this class was generated from the following file:

- QtCore/qlocale.h

QLocale QLocale QLocale QLocale QLocale QLocale QLocale QLocale QLocale QLocale
QLocale QLocale QLocale QLocale QLocale QLocale QLocale QLocale QLocale QLocale